.\" Copyright (C) 2008, 2009 Vincent Penquerc'h.
.\" This file is part of the Kate codec library.
.\" Written by Vincent Penquerc'h.
.\"
.\" Use, distribution and reproduction of this library is governed
.\" by a BSD style source license included with this source in the
.\" file 'COPYING'. Please read these terms before distributing. */


.TH "KATEENC" 1 "13 october 2010" "libkate 0.4.1 "libkate documentation"

.SH NAME
kateenc \- create Kate streams from text input

.SH SYNOPSIS
.B kateenc
.B "[\-hVM]"
.BI "[\-o " outfile ]
.BI "[\-l " language ]
.BI "[\-c " category ]
.BI "[\-s " serial ]
.BI "[\-C " tag=value ]
.BI "[\-R " threshold ]
.BI "[\-K " threshold ]
.BI "\-t " filetype
[ infile ]

.SH DESCRIPTION
.B kateenc
creates Kate streams from input files (SubRip SRT subtitles, LRC lyrics, and libkate's custom description language).
When saved to an Ogg stream (the default behavior), a Kate stream may then be merged with other Ogg streams (eg, a
Theora video) using the oggz tools.

.SH OPTIONS
.TP
\fB\-h\fR
Show command line help.
.TP
\fB\-V\fR
Show version information.
.TP
\fB\-M\fR
Allow simple HTML-like markup in SRT files. If this parameter is used, strings such as "<i>"
will be interpreted to mean italics, rather than appear as such. Note that various players
interpret a slightly different set of HTML tags, and some do not.
.TP
\fB\-o\fR outfile
Write the output Kate stream to the given file name (writes to stdout if not specified).
.TP
\fB\-l\fR language
Sets the language for the stream (default is the language specified in the input, or none).
.TP
\fB\-c\fR category
Sets the category for the stream (default is the category specified in the input, or none).
.TP
\fB\-s\fR serial
Sets the serial number for the output Kate stream (does not apply to raw streams).
.TP
\fB\-C\fR tag=value
Adds a comment to encode into the output Kate stream. The comment must be of the form
tag=value, and comply with the Vorbis comment rules (eg, tag is composed of a particular
subset of ASCII characters, and value is valid UTF-8). Note that you might have to escape
or quote the comment for it to be seen as a single command line parameter.
.TP
\fB\-t\fR filetype
Specifies the type of the input (srt, lrc, kate)
.TP
\fB\-R\fR threshold
Use repeat packets, with the given threshold (in seconds).
Data packets will be repeated at intervals of roughly threshold seconds, while active.
.TP
\fB\-K\fR threshold
Use keepalive packets, with the given threshold (in seconds).
Keepalive packets will be emitted when no other packet has been emitted for roughly
threshold seconds.

.SH EXAMPLES

Create a Kate stream for Welsh subtitles from a SubRip file:

    kateenc \-t srt \-l cy \-c SUB \-o output.ogg input.srt

.SH SEE ALSO
.PP
\fBkatedec\fR(1), \fBkatalyzer\fR(1)

